--- title: "Get sub account list" slug: "management-subaccount-getsubaccounts" tags: ["Sub Account"] updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/management-subaccount-getsubaccounts" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get sub account list Available in Classic and VPC Get the sub account list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/sub-accounts | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `searchColumn` | String | Optional | Search column - `loginId` \| `name` \| `subAccountNo` - `loginId`: Sub account login ID - `name`: Sub account name - `subAccountNo`: Sub account number | | `searchWord` | String | Optional | Search keyword | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `size` | Integer | Optional | Page output count - 1-N (default: 10) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://subaccount.apigw.ntruss.com/api/v1/sub-accounts' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Integer | - | Page number | | `totalPages` | Integer | - | Total number of pages | | `totalItems` | Integer | - | Number of response results | | `hasPrevious` | Boolean | - | Whether previous page exists - `true` \| `false` - `true`: It exists - `false`: It doesn't exist | | `hasNext` | Boolean | - | Whether next page exists - `true` \| `false` - `true`: It exists - `false`: It doesn't exist | | `items` | Array | - | Sub account list: [items](/docs/en/management-subaccount-getsubaccounts#items) | | `isFirst` | Boolean | - | Whether it is the first page - `true` \| `false` - `true`: first page - `false`: not a first page | | `isLast` | Boolean | - | Whether it is the last page - `true` \| `false` - `true`: last page - `false`: not a last page | #### `items` The following describes `items`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `subAccountId` | String | - | Sub account ID | | `subAccountNo` | Integer | - | Sub account number | | `loginId` | String | - | Sub account login ID | | `name` | String | - | Sub account username | | `email` | String | - | Sub account user email address | | `needPasswordReset` | Boolean | - | Sub account login password reset notification - Whether to notify to change password when logging in for the first time with a sub account - `true` \| `false` - `true`: notify - `false`: do not notify | | `canAPIGatewayAccess` | Boolean | - | API Gateway accessibility of the sub account - Whether to use APIs registered in API Gateway by creating an access key - `true` \| `false` - `true`: available - `false`: unavailable | | `canConsoleAccess` | Boolean | - | Whether the sub account can access the console - `true` \| `false` - `true`: available - `false`: unavailable | | `useConsolePermitIp` | Boolean | - | Whether the sub account's console access is restricted to a specific IP range - `true` \| `false` - `true`: accessible only from the specified IP range - `false`: accessible from everywhere | | `consolePermitIps` | Array | - | List of IP ranges accessible to the console from the sub account | | `useApiAllowSource` | Boolean | - | Whether the accessible source for the API by the sub account is restricted - `true` \| `false` - `true`: Accessible only from specified sources - `false`: Accessible from all sources | | `apiAllowSources` | Array | - | List of sources accessible by sub account via API: [apiAllowSources](/docs/en/management-subaccount-getsubaccounts#apiAllowSources) | | `lastLoginTime` | String | - | Sub account last login date and time - ISO 8601 format | | `createTime` | String | - | Sub account creation date and time - ISO 8601 format | | `memo` | String | - | Sub account description | | `active` | Boolean | - | Sub account status - `true` \| `false` - `true`: enabled - `false`: disabled | | `modifiedTime` | String | - | Sub account last modification date and time - ISO 8601 format | | `nrn` | String | - | NAVER Cloud Platform resource identification value for sub account | #### `apiAllowSources` The following describes `apiAllowSources`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `type` | String | - | Access source type - `IP` \| `VPC` \| `VPC_SERVER` - `IP`: Single server IP or IP range including subnet - `VPC`: VPC in use - `VPC_SERVER`: Server in the VPC environment in use | | `source` | String | - | Access source information - IP address or instance number | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "page": 0, "totalPages": 1, "totalItems": 1, "hasPrevious": false, "hasNext": false, "items": [ { "subAccountId": "89b556d0-****-****-****-***********", "subAccountNo": 16***, "loginId": "h***", "name": "h***", "email": "l*****@*******.com", "needPasswordReset": false, "canAPIGatewayAccess": true, "canConsoleAccess": true, "useConsolePermitIp": true, "consolePermitIps": [ "***.***.***.***" ], "useApiAllowSource": true, "apiAllowSources": [ { "type": "IP", "source": "***.***.***.***" } ], "lastLoginTime": "2025-01-01T23:48:07Z", "createTime": "2024-09-30T04:57:47Z", "memo": "", "active": true, "modifiedTime": "2024-12-23T02:56:29Z", "nrn": "nrn:PUB:IAM::5*****8:SubAccount/89b556d0-****-****-****-***********" } ], "isFirst": true, "isLast": true } ```